summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-03-19 09:35:32 +0100
committerLars Wendler <polynomial-c@gentoo.org>2019-03-19 09:35:32 +0100
commit97fca493bbb870ee56097a2cf9721b87b1f45366 (patch)
treee27b7a3600a63a765ea3f564bde409764f5afa6b
parentdev-util/strace: Synced live ebuild. (diff)
downloadgentoo-97fca493bbb870ee56097a2cf9721b87b1f45366.tar.gz
gentoo-97fca493bbb870ee56097a2cf9721b87b1f45366.tar.bz2
gentoo-97fca493bbb870ee56097a2cf9721b87b1f45366.zip
dev-util/strace: Bump to version 5.0
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--dev-util/strace/Manifest1
-rw-r--r--dev-util/strace/strace-5.0.ebuild93
2 files changed, 94 insertions, 0 deletions
diff --git a/dev-util/strace/Manifest b/dev-util/strace/Manifest
index 7a8bd7ee59a..9f13cfa7eb1 100644
--- a/dev-util/strace/Manifest
+++ b/dev-util/strace/Manifest
@@ -1,2 +1,3 @@
DIST strace-4.25.tar.xz 1425268 BLAKE2B 896685589686864316940b8493e481f5e37d1c2f536551f79193bc851d66614816abbc989dbff2b18e38f5bff535315ca732221d520f282227b74a4eab3ebb4f SHA512 1465ef5ebc77cee73ebae5e12c72ff1826f48cdb2b36bdd5116380fac3add73f3ede3ca2694358bfb0c3e3141be5b747b353749130a366c81d05709b2d7bb879
DIST strace-4.26.tar.xz 1444216 BLAKE2B ea8ff5f863afa29a3a40e8d89ff5c3835c64adf7c34c8957bbe3d99a02998d61714437470293d1759e87c1ceb8ed42564632ef33dd9d5303452ec7505822d1ba SHA512 cce153246802fcdb1547bc11164784066101a2e672e2a264cb742593b559e579aa4bedc749d87fdd1fc2045f4f79b54d419bb50c823074d2cca6f3c75ccf2290
+DIST strace-5.0.tar.xz 1468752 BLAKE2B 3626697ec340728f2703cd5d8a4e8f274184a6b8ef76b1d239ba7a2ec8c76d7dd7e47e6cde6f5edc8e14ae0322e82a6425fb8586d0f1aba709c4d2208a503027 SHA512 cba3280ada27ef434eda54d0e150f04ab89ad227d67b29bd0993f9ac7747eb32b0e49af8cc493b92eab99c0848ec8dc6bbd9b1db423abd53f19129dacbddf265
diff --git a/dev-util/strace/strace-5.0.ebuild b/dev-util/strace/strace-5.0.ebuild
new file mode 100644
index 00000000000..e4f979cf051
--- /dev/null
+++ b/dev-util/strace/strace-5.0.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/strace/strace.git"
+ inherit git-r3 autotools
+else
+ SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+DESCRIPTION="A useful diagnostic, instructional, and debugging tool"
+HOMEPAGE="https://strace.io/"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="aio perl static unwind elfutils"
+
+REQUIRED_USE="?? ( unwind elfutils )"
+
+LIB_DEPEND="
+ unwind? ( sys-libs/libunwind[static-libs(+)] )
+ elfutils? ( dev-libs/elfutils[static-libs(+)] )
+"
+# strace only uses the header from libaio to decode structs
+DEPEND="
+ static? ( ${LIB_DEPEND} )
+ aio? ( >=dev-libs/libaio-0.3.106 )
+ sys-kernel/linux-headers
+"
+RDEPEND="
+ !static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+ perl? ( dev-lang/perl )
+"
+
+src_prepare() {
+ default
+
+ if [[ ! -e configure ]] ; then
+ # git generation
+ sed /autoreconf/d -i bootstrap || die
+ ./bootstrap || die
+ eautoreconf
+ [[ ! -e CREDITS ]] && cp CREDITS{.in,}
+ fi
+
+ filter-lfs-flags # configure handles this sanely
+ # Add -pthread since strace wants -lrt for timer_create, and -lrt uses -lpthread.
+ use static && append-ldflags -static -pthread
+
+ export ac_cv_header_libaio_h=$(usex aio)
+ use elibc_musl && export ac_cv_header_stdc=no
+
+ # Stub out the -k test since it's known to be flaky. #545812
+ sed -i '1iexit 77' tests*/strace-k.test || die
+}
+
+src_configure() {
+ # Set up the default build settings, and then use the names strace expects.
+ tc-export_build_env BUILD_{CC,CPP}
+ local v bv
+ for v in CC CPP {C,CPP,LD}FLAGS ; do
+ bv="BUILD_${v}"
+ export "${v}_FOR_BUILD=${!bv}"
+ done
+
+ # Don't require mpers support on non-multilib systems. #649560
+ local myeconfargs=(
+ --enable-mpers=check
+ $(use_with unwind libunwind)
+ $(use_with elfutils libdw)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_test() {
+ if has usersandbox $FEATURES ; then
+ ewarn "Test suite is known to fail with FEATURES=usersandbox -- skipping ..." #643044
+ return 0
+ fi
+
+ default
+}
+
+src_install() {
+ default
+ use perl || rm "${ED%/}"/usr/bin/strace-graph
+ dodoc CREDITS
+}